Subject: Re: [PATCH v2 6/9] strbuf: introduce strbuf_strip_file_from_path()

From: Derrick Stolee <[email-masked]>
Date: Fri, 2 Dec 2022 10:40:56 -0500

On 11/28/2022 8:03 PM, Victoria Dye wrote:
> Derrick Stolee via GitGitGadget wrote:
>> From: Derrick Stolee <[email-masked]>
>>
>> The strbuf_parent_directory() method was added as a static method in
>> contrib/scalar by d0feac4e8c0 (scalar: 'register' sets recommended
>> config and starts maintenance, 2021-12-03) and then removed in
>> 65f6a9eb0b9 (scalar: constrain enlistment search, 2022-08-18), but now
>> there is a need for a similar method in the bundle URI feature.
>>
>> Re-add the method, this time in strbuf.c, but with a new name:
>> strbuf_strip_file_from_path(). The method requirements are slightly
>> modified to allow a trailing slash, in which case nothing is done, which
>> makes the name change valuable. The return value is the number of bytes
>> removed.
> 
> *Extremely* minor point, but why return anything at all? The call in the
> next patch doesn't use the return value, and some similar-in-spirit 'strbuf'
> functions (like 'strbuf_trim()') return nothing. 
> 
> I don't think this is worth changing if you can imagine using that return
> value for something eventually; just wanted to point it out as something to
> (optionally) consider if you re-roll for something else anyway.

While I'm here, it's not too hard to remove that and save some lines.
We can always bring that back if someone needs it in the future.

Thanks,
-Stolee